import java.lang.management.ManagementFactory;


public class YTraceLoggerUtilities {
	
	public static String createProcEvent(String evnt_type, String fnInfo) {
		return YTraceLoggerUtilities.createEvent(evnt_type, "fnInfo", fnInfo);
	}
	
	public static String createMessage(String evnt_type, String msgId) {
		return YTraceLoggerUtilities.createEvent(evnt_type, "msgId", msgId);
	}
	
	public static String createEvent(String evnt_type, String payload1, String payload2) {
		return "evnt," + evnt_type + "," + payload1 + "," + payload2;
	}
	
	public static String getPID() {
		return ManagementFactory.getRuntimeMXBean().getName();
	}
}
