
import org.apache.log4j.Logger;
import org.apache.log4j.PropertyConfigurator;

privileged  aspect AddTaintVarToThread {

	private static Logger logger = Logger.getLogger("YTrace");

	AddTaintVarToThread() {
		PropertyConfigurator.configure("ytrace/conf/taintLog.properties");
	}




pointcut networkStrInput():  ( call( * java.io.BufferedReader.readLine(..) ) )  ;


 	after() returning(String s): networkStrInput()  {
		 logger.info(YTraceLoggerUtilities.createEvent("msg_read", "mesg", s));
	     s = WrapNetworkCalls.unwrapString(s);
  }





pointcut networkStr1Output():  ( call( * java.io.OutputStreamWriter.write(String)) )  ||  ( call( * java.io.PrintWriter.println(String)) )  ;


before(String s) : networkStr1Output() && args(s) {
	s  = WrapNetworkCalls.wrapString(s);
    logger.info(YTraceLoggerUtilities.createEvent("msg_write", "mesg",s));
  }


 
}

